package com.multictrl.modules.business.service;

import com.multictrl.common.service.CrudService;
import com.multictrl.modules.business.dto.FlightTaskDTO;
import com.multictrl.modules.business.entity.FlightTaskEntity;

/**
 * 飞行架次
 *
 * @author Sdy
 * @since 1.0.0 2026-05-02
 */
public interface FlightTaskService extends CrudService<FlightTaskEntity, FlightTaskDTO> {

    //新增架次信息
    void addRouteTask(String taskId, String dockSn, Long routeId);//航线任务

    void addTakeoffTask(String taskId, String dockSn);//一键起飞任务

    //更新架次完成信息
    void updateTaskComplete(String dockSn);

    //更新架次开始信息
    void updateTaskStart(String dockSn);
}